unit UOption;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Spin, ComCtrls, jpeg, Grids,
  ValEdit;

type
  TFOption = class(TForm)
    EOpzioni: TPageControl;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    EGestErr: TCheckBox;
    TabSheet5: TTabSheet;
    Label6: TLabel;
    EStyleSheet: TEdit;
    TabSheet6: TTabSheet;
    SpeedButton1: TSpeedButton;
    ESSI1: TLabeledEdit;
    ESSI2: TLabeledEdit;
    ESSI3: TLabeledEdit;
    ESSI4: TLabeledEdit;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    TabSheet1: TTabSheet;
    EWebSrvPath: TEdit;
    Label4: TLabel;
    Label9: TLabel;
    ENewIcon: TEdit;
    EEditIcon: TEdit;
    Label10: TLabel;
    EDelIcon: TEdit;
    Label11: TLabel;
    TabSheet2: TTabSheet;
    Label13: TLabel;
    ENavPos: TComboBox;
    Label14: TLabel;
    ENewPos: TComboBox;
    EDisplayTitle: TCheckBox;
    EDisplayHR: TCheckBox;
    Label15: TLabel;
    EHTMLFooter: TMemo;
    EProgress: TCheckBox;
    TabSheet7: TTabSheet;
    EPairColor: TEdit;
    Label16: TLabel;
    Button3: TButton;
    PairRow: TPanel;
    EBordo: TCheckBox;
    Label1: TLabel;
    ECellspacing: TSpinEdit;
    Label3: TLabel;
    ECellpadding: TSpinEdit;
    Label8: TLabel;
    Label18: TLabel;
    EOddColor: TEdit;
    OddRow: TPanel;
    Label19: TLabel;
    ETitleColor: TEdit;
    TitleRow: TPanel;
    EColorLib: TComboBox;
    Label17: TLabel;
    Label20: TLabel;
    ESortIcon: TEdit;
    Label21: TLabel;
    ENextIcon: TEdit;
    Label22: TLabel;
    EPriorIcon: TEdit;
    Label23: TLabel;
    ESortDesc: TEdit;
    Label24: TLabel;
    EBorder: TSpinEdit;
    Bevel1: TBevel;
    Bevel2: TBevel;
    ECenter: TCheckBox;
    ENewImg: TImage;
    EImgDft: TCheckBox;
    EEditImg: TImage;
    EDelImg: TImage;
    ESortImg: TImage;
    ESortDescImg: TImage;
    ENextImg: TImage;
    EPriorImg: TImage;
    Bevel3: TBevel;
    FontDialog1: TFontDialog;
    PageControl1: TPageControl;
    TabSheet8: TTabSheet;
    TabSheet9: TTabSheet;
    Label26: TLabel;
    EFontName: TEdit;
    Label27: TLabel;
    EFontSize: TSpinEdit;
    Label28: TLabel;
    EFontColor: TEdit;
    SpeedButton3: TSpeedButton;
    Label2: TLabel;
    ETitleFName: TEdit;
    Label29: TLabel;
    ETitleFSize: TSpinEdit;
    Label30: TLabel;
    ETitleFColor: TEdit;
    SpeedButton4: TSpeedButton;
    Label31: TLabel;
    EDetailIcon: TEdit;
    EDetailImg: TImage;
    Label32: TLabel;
    EEmailIcon: TEdit;
    EEmailImg: TImage;
    TabSheet10: TTabSheet;
    Label5: TLabel;
    ETabDim: TSpinEdit;
    Label12: TLabel;
    Label25: TLabel;
    EColumnSize: TValueListEditor;
    PCBuild: TPageControl;
    TabSheet11: TTabSheet;
    TabSheet12: TTabSheet;
    TabSheet13: TTabSheet;
    Label7: TLabel;
    EInsRec: TCheckBox;
    EModRec: TCheckBox;
    EDelRec: TCheckBox;
    ERecPag: TSpinEdit;
    EDetails: TCheckBox;
    EAutoEmail: TCheckBox;
    Label33: TLabel;
    EUseridField: TComboBox;
    Label34: TLabel;
    EPasswordField: TComboBox;
    Label35: TLabel;
    ECookie: TEdit;
    Label36: TLabel;
    EActionAfterLogin: TComboBox;
    EUrlAfterLogin: TLabeledEdit;
    Label37: TLabel;
    EQueryField: TComboBox;
    Label38: TLabel;
    EAnswerField: TComboBox;
    Label39: TLabel;
    Label40: TLabel;
    ECBOnSF: TCheckBox;
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure EColorLibChange(Sender: TObject);
    procedure EInsRecClick(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure EActionAfterLoginChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    modified:boolean;
  end;

var
  FOption: TFOption;

implementation

uses UAdoVbs;

{$R *.dfm}

procedure TFOption.SpeedButton1Click(Sender: TObject);
begin
  FAdoVbs.showmodal;
end;

procedure TFOption.FormActivate(Sender: TObject);
begin
  eopzioni.ActivePageIndex:=0;
  modified:=false;
end;

procedure TFOption.Button3Click(Sender: TObject);
begin
  titlerow.Color:=strtointdef('$00'+copy(ETitleColor.text,5,2)+copy(ETitleColor.Text,3,2)+copy(ETitleColor.Text,1,2),256);
  OddRow.Color:=strtointdef('$00'+copy(EOddColor.text,5,2)+copy(EOddColor.Text,3,2)+copy(EOddColor.Text,1,2),256);
  PairRow.Color:=strtointdef('$00'+copy(EPairColor.text,5,2)+copy(EPairColor.Text,3,2)+copy(EPairColor.Text,1,2),256);
  if efontname.Text<>'' then
  begin
    pairrow.Font.Name:=efontname.text;
    oddrow.Font.Name:=efontname.text;
  end;
  if etitlefname.Text<>'' then
  begin
    titlerow.Font.Name:=etitlefname.text;
  end;
(*  if efontsize.Text<>'' then
  begin
    pairrow.Font.size:=efontsize.Value;
    oddrow.Font.size:=efontsize.Value;
  end;
  if efontcolor.Text<>'' then
  begin
    pairrow.Font.color:=efontcolor.text;
    oddrow.Font.color:=efontcolor.text;
  end;*)
end;

procedure TFOption.EColorLibChange(Sender: TObject);
begin
  if EColorLib.Text='Intra' then
  begin
    ETitleColor.Text:='6699CC';
    EPairColor.Text:='DBE5F1';
    EOddColor.text:='C2D2E4';
  end
  else
  if EColorLib.Text='White' then
  begin
    ETitleColor.Text:='FFFFFF';
    EPairColor.Text:='FFFFFF';
    EOddColor.text:='FFFFFF';
    ETitleFColor.Text:='Black';
    EFontColor.Text:='Black';
  end
  else
  if EColorLib.Text='Black' then
  begin
    ETitleColor.Text:='000000';
    EPairColor.Text:='000000';
    EOddColor.text:='000000';
    ETitleFColor.Text:='White';
    EFontColor.Text:='White';
  end
end;

procedure TFOption.EInsRecClick(Sender: TObject);
begin
  modified:=true;
end;

procedure TFOption.Button4Click(Sender: TObject);
begin
  if FontDialog1.Execute then
  begin
    efontname.Text:=FontDialog1.Font.Name;
    //efontsize.Value:=FontDialog1.Font.Size;
    //efontcolor.Font.Color:=FontDialog1.Font.Color;
    case FontDialog1.Font.Color of
      clNone          : efontcolor.Text:='';
      clAqua          : efontcolor.Text:='Aqua';
      clBlack         : efontcolor.Text:='Black';
      clBlue          : efontcolor.Text:='Blue';
      clCream         : efontcolor.Text:='Cream';
      clFuchsia       : efontcolor.Text:='Fuchsia';
      clGray          : efontcolor.Text:='Gray';
      clGreen         : efontcolor.Text:='Green';
      clLime          : efontcolor.Text:='Lime';
      clMaroon        : efontcolor.Text:='Maroon';
      clMedGray       : efontcolor.Text:='MedGray';
      clMoneyGreen    : efontcolor.Text:='MoneyGreen';
      clNavy          : efontcolor.Text:='Navy';
      clOlive         : efontcolor.Text:='Olive';
      clPurple        : efontcolor.Text:='Purple';
      clRed           : efontcolor.Text:='Red';
      clSilver        : efontcolor.Text:='Silver';
      clSkyBlue       : efontcolor.Text:='SkyBlue';
      clTeal          : efontcolor.Text:='Teal';
      clWhite         : efontcolor.Text:='White';
      clYellow        : efontcolor.Text:='Yellow';
    end;

  end;
end;

procedure TFOption.SpeedButton4Click(Sender: TObject);
begin
  if FontDialog1.Execute then
  begin
    etitlefname.Text:=FontDialog1.Font.Name;
    //etitlefsize.Value:=FontDialog1.Font.Size;
    //etitlefcolor.Font.Color:=FontDialog1.Font.Color;
    case FontDialog1.Font.Color of
      clNone          : etitlefcolor.Text:='';
      clAqua          : etitlefcolor.Text:='Aqua';
      clBlack         : etitlefcolor.Text:='Black';
      clBlue          : etitlefcolor.Text:='Blue';
      clCream         : etitlefcolor.Text:='Cream';
      clFuchsia       : etitlefcolor.Text:='Fuchsia';
      clGray          : etitlefcolor.Text:='Gray';
      clGreen         : etitlefcolor.Text:='Green';
      clLime          : etitlefcolor.Text:='Lime';
      clMaroon        : etitlefcolor.Text:='Maroon';
      clMedGray       : etitlefcolor.Text:='MedGray';
      clMoneyGreen    : etitlefcolor.Text:='MoneyGreen';
      clNavy          : etitlefcolor.Text:='Navy';
      clOlive         : etitlefcolor.Text:='Olive';
      clPurple        : etitlefcolor.Text:='Purple';
      clRed           : etitlefcolor.Text:='Red';
      clSilver        : etitlefcolor.Text:='Silver';
      clSkyBlue       : etitlefcolor.Text:='SkyBlue';
      clTeal          : etitlefcolor.Text:='Teal';
      clWhite         : etitlefcolor.Text:='White';
      clYellow        : etitlefcolor.Text:='Yellow';
    end;
  end;
end;

procedure TFOption.EActionAfterLoginChange(Sender: TObject);
begin
  EUrlAfterLogin.Visible:=(EActionAfterLogin.ItemIndex=1);
end;

end.
